%define branch beta

Name: unison-%branch
Version: 2.10.2
Release: alt1
License: GPL
Group: Networking/File transfer
Summary: Unison File Synchronizer(%branch)
Url: http://www.cis.upenn.edu/~bcpierce/unison
Source: unison-%version.tar.gz
Source1: unison-%version-manual.html
Patch0: unison-2.10.2-compile-uigtk.patch

BuildRequires: xorg-x11-libs glib-devel gtk+-devel lablgtk

BuildPreReq: alternatives
PreReq: alternatives

Provides: unison = %version
Obsoletes: unison

%description
Unison is a file-synchronization tool for Unix and Windows.
It allows two replicas of a collection of files and directories
to be stored on different hosts (or different disks on the same host),
modified separately, and then brought up to date by propagating the 
changes in each replica to the other.

%package cli
Summary: CLI-only Unison version
PreReq: alternatives
Group: Networking/File transfer
Obsoletes: unison-cli
Provides: unison = %version

%description cli
Unison without GUI and documentation

%prep
%setup -n unison-%version
%patch0 -p1

%build
%__make UISTYLE=text
%__mv unison unison-%branch-cli

%__make clean

%__make UISTYLE=gtk
%__mv unison unison-%branch-gui

%install
%__mkdir_p %buildroot%_bindir
%__install unison-%branch-{gui,cli} %buildroot%_bindir
%__cp %SOURCE1 unison-manual.html

install -d $RPM_BUILD_ROOT/%_altdir
cat >$RPM_BUILD_ROOT/%_altdir/unison-%branch-gui<<EOF
%_bindir/unison	%_bindir/unison-%branch-gui	30
EOF
cat >$RPM_BUILD_ROOT/%_altdir/unison-%branch-cli<<EOF
%_bindir/unison	%_bindir/unison-%branch-cli	40
EOF

%post
%register_alternatives unison-%branch-gui

%preun
%unregister_alternatives unison-%branch-gui

%post cli
%register_alternatives unison-%branch-cli

%preun cli
%unregister_alternatives unison-%branch-cli

%files
%doc README TODO.txt BUGS.txt CONTRIB ROADMAP.txt unison-manual.html
%_bindir/unison-%branch-gui
%_altdir/unison-%branch-gui

%files cli
%_bindir/unison-%branch-cli
%_altdir/unison-%branch-cli

%changelog
* Sat Feb 19 2005 Leonid Shalupov <shalupov@altlinux.ru> 2.10.2-alt1
- 2.10.2
- renamed to unison-beta

* Fri Sep 03 2004 Leonid Shalupov <shalupov@altlinux.ru> 2.9.20-alt1
- Initial build
